Issue 122948

Summary: Copy/pasting some Complex Text Layout strings crashes OpenOffice
Product: General Reporter: Andrea Pescetti <pescetti>
Component: uiAssignee: hdu <hdu>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P2 CC: fanyuzhen, hdu, issues, jsc, sebb
Version: 4.0.0Keywords: crash, regression
Target Milestone: 4.0.1Flags: jsc: 4.0.1_release_blocker+
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: 4.0.0
Developer Difficulty: ---

Description Andrea Pescetti 2013-08-04 06:59:46 UTC
Copy/pasting these three lines into OpenOffice 4.0.0 on Windows produces a crash, as discussed on ooo-dev.
  ---
Norsk nynorsk
ਪੰਜਾਬੀ
Polski
  ---
The problematic string is the middle one, which is the native name of the Punjabi language. The string is thus commonly found in Wikipedia articles, in the language list.

No crashes observed on other platforms so far. Reportedly, regression with respect to 3.4.1.

[ Reported by Robert Hupp to the dev list ]
Comment 1 sebb 2013-08-05 21:31:55 UTC
Works OK for me with Writer 3.4.1 on Win XP; the text is inserted OK.

With Writer 4.0.0, I don't get a crash, however the Punjabi script appeared as squares rather than as the original script copied from the Bugzilla issue.

I just tried again, and this time the script did appear OK in Writer.
Weird. The squares have disappeared.
But still no crash.

[Both OO versions are installed on the same host]
Comment 2 SVN Robot 2013-08-06 13:14:21 UTC
"hdu" committed SVN revision 1510954 into trunk:
#i122948# fill gaps in glyphs->chars mapping for usp10-layouts
Comment 3 hdu@apache.org 2013-08-06 13:19:01 UTC
Fixed with the commit above. When the layout engine and fallback font caused the glyph->char mapping to have gaps then mixing the different layout levels caused the problems observed. Filling the gaps removes a lot of complexity and solves the problem.
Comment 4 jsc 2013-08-13 11:57:11 UTC
approve showstopper request
Comment 5 SVN Robot 2013-08-13 14:35:48 UTC
"hdu" committed SVN revision 1513506 into branches/AOO401:
#i122948# fill gaps in glyphs->chars mapping for usp10-layouts
Comment 6 fanyuzhen 2013-08-30 14:45:54 UTC
It's verified fixed in build AOO401m1(Build:9710)  -  Rev. 1516414